Last Comment Bug 1368664 - Use Vary header when matching HTTP/2 pushed items
: Use Vary header when matching HTTP/2 pushed items
Status: ASSIGNED
[necko-triaged]
: reproducible, testcase
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: Trunk
: Unspecified Unspecified
P2 normal with 1 vote (vote)
: ---
Assigned To: Patrick McManus [:mcmanus]
:
: Selena Deckelmann :selenamarie :selena use ni? pronoun: she
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-30 04:52 PDT by Jake Archibald
Modified: 2018-10-28 09:55 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Jake Archibald 2017-05-30 04:52:31 PDT
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36

Steps to reproduce:

I built a little test suite thing for this: https://github.com/jakearchibald/http2-push-test/

The test is served at /vary-cookie/, which pushes a request that has "Cookie: val=a", and the pushed response has "Vary: Cookie".

1. Press the "Set cookie b" button, this sets val=b
2. Press "Fetch with credentials" & observe the console


Actual results:

4 random numbers are logged. This is the pushed resource.


Expected results:

"NOT FROM PUSH" - because the pushed resource should not have matched.
Comment 1 User image Mark Nottingham 2017-06-14 13:42:57 PDT
It'd be interesting to see if the cache did this for a non-push request; my WPT tests didn't cover cases where the cookie was changed. Will give it a go ~tomorrow (currently in the air).
Comment 2 User image Firefox Product Integrity Bug Husbandry Bot (contact :emceeaich) 2017-09-13 11:24:21 PDT
Bulk priority update: https://bugzilla.mozilla.org/show_bug.cgi?id=1399258

Note You need to log in before you can comment on or make changes to this bug.